[meego-commits] 5295: Changes to Trunk/meego-rpm-config

Anas Nashif nashif at linux.intel.com
Fri Jul 2 01:51:24 UTC 2010


Hi,
I have made the following changes to meego-rpm-config in project Trunk. Please review and accept ASAP.

Thank You,
Anas Nashif

[This message was auto-generated]

---

Request #5295:

  submit:   Trunk:Testing/meego-rpm-config(r6) -> Trunk/meego-rpm-config


Message:
    * Wed Jun 30 2010 Anas Nashif <anas.nashif at intel.com> - 0.7
- Add variable INSTALL_ROOT to macro %make_install
- Release 0.7
* Sat May 01 2010 Anas Nashif <anas.nashif at intel.com> - 0.6
- bmc#1114: Remove kernel module and unused macros, those are 
  fedora specifc and do not work on meego

State:   new          2010-07-01T13:47:42 nashif
Comment: None



changes files:
--------------
--- meego-rpm-config.changes
+++ meego-rpm-config.changes
@@ -0,0 +1,8 @@
+* Wed Jun 30 2010 Anas Nashif <anas.nashif at intel.com> - 0.7
+- Add variable INSTALL_ROOT to macro %make_install
+- Release 0.7
+
+* Sat May 01 2010 Anas Nashif <anas.nashif at intel.com> - 0.6
+- bmc#1114: Remove kernel module and unused macros, those are 
+  fedora specifc and do not work on meego
+

old:
----
  meego-rpm-config-0.5.tar.bz2

new:
----
  meego-rpm-config-0.7.tar.bz2

spec files:
-----------
--- meego-rpm-config.spec
+++ meego-rpm-config.spec
@@ -1,13 +1,13 @@
 # 
 # Do not Edit! Generated by:
-# spectacle version 0.15
+# spectacle version 0.17
 # 
 # >> macros
 # << macros
 
 Name:       meego-rpm-config
 Summary:    MeeGo specific rpm configuration files
-Version:    0.5
+Version:    0.7
 Release:    1
 Group:      Development/System
 License:    GPL+
@@ -18,6 +18,7 @@
 Provides:   moblin-rpm-config
 Obsoletes:   moblin-rpm-config =< 2.1.92-3.8
 
+
 %description
 MeeGo specific rpm configuration files.
 

other changes:
--------------

++++++ meego-rpm-config-0.5.tar.bz2 -> meego-rpm-config-0.7.tar.bz2
--- VERSION
+++ VERSION
@@ -1 +1 @@
-0.5
+0.7
--- kmodtool
+++ kmodtool
-#!/bin/bash
-
-# kmodtool - Helper script for building kernel module RPMs
-# Copyright (c) 2003-2006 Ville Skyttä <ville.skytta at iki.fi>,
-#                         Thorsten Leemhuis <fedora at leemhuis.info>
-#                         Jon Masters <jcm at redhat.com>
-#
-# Permission is hereby granted, free of charge, to any person obtaining
-# a copy of this software and associated documentation files (the
-# "Software"), to deal in the Software without restriction, including
-# without limitation the rights to use, copy, modify, merge, publish,
-# distribute, sublicense, and/or sell copies of the Software, and to
-# permit persons to whom the Software is furnished to do so, subject to
-# the following conditions:
-#
-# The above copyright notice and this permission notice shall be
-# included in all copies or substantial portions of the Software.
-#
-# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
-# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
-# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
-# NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
-# LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
-# OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
-# WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
-
-shopt -s extglob
-
-myprog="kmodtool"
-myver="0.10.10_kmp2"
-knownvariants=@(BOOT|PAE|@(big|huge)mem|debug|enterprise|kdump|?(large)smp|uml|xen[0U]?(-PAE)|xen)
-kmod_name=
-kver=
-verrel=
-variant=
-kmp=
-
-get_verrel ()
-{
-  verrel=${1:-$(uname -r)}
-  verrel=${verrel%%$knownvariants}
-}
-
-print_verrel ()
-{
-  get_verrel $@
-  echo "${verrel}"
-}
-
-get_variant ()
-{
-  get_verrel $@
-  variant=${1:-$(uname -r)}
-  variant=${variant##$verrel}
-  variant=${variant:-'""'}
-}
-
-print_variant ()
-{
-  get_variant $@
-  echo "${variant}"
-}
-
-get_rpmtemplate ()
-{
-    local variant="${1}"
-    local dashvariant="${variant:+-${variant}}"
-    case "$verrel" in
-        *.el*) kdep="kernel${dashvariant}-%{_target_cpu} = ${verrel}" ;;
-        *.EL*) kdep="kernel${dashvariant}-%{_target_cpu} = ${verrel}" ;;
-        *)     kdep="kernel-%{_target_cpu} = ${verrel}${variant}"     ;;
-    esac
-
-    echo "%package       -n kmod-${kmod_name}${dashvariant}"
-
-    if [ -z "$kmp_provides_summary" ]; then
-        echo "Summary:          ${kmod_name} kernel module(s)"
-    fi
-
-    if [ -z "$kmp_provides_group" ]; then
-        echo "Group:            System Environment/Kernel"
-    fi
-
-    if [ ! -z "$kmp_version" ]; then
-        echo "Version: %{kmp_version}"
-    fi
-
-    if [ ! -z "$kmp_release" ]; then
-        echo "Release: %{kmp_release}"
-    fi
-    
-    if [ ! -z "$kmp" ]; then
-        echo "%global _use_internal_dependency_generator 0"
-    fi
-    
-    cat <<EOF
-Provides:         kernel-modules = ${verrel}${variant}
-Provides:         ${kmod_name}-kmod = %{?epoch:%{epoch}:}%{version}-%{release}
-EOF
-    
-    if [ -z "$kmp" ]; then
-        echo "Requires:         ${kdep}"
-    fi
-
-#
-# RHEL5 - Remove common package requirement on general kmod packages.
-# Requires: ${kmod_name}-kmod-common >= %{?epoch:%{epoch}:}%{version}
-#
-
-    cat <<EOF
-Requires(post):   /sbin/depmod
-Requires(postun): /sbin/depmod
-EOF
-
-if [ "no" != "$kmp_nobuildreqs" ]
-then
-    echo "BuildRequires: kernel${dashvariant}-devel-%{_target_cpu} = ${verrel}"
-fi
-
-if [ "" != "$kmp_override_preamble" ]
-then
-    cat "$kmp_override_preamble"
-fi
-
-cat <<EOF
-%description   -n kmod-${kmod_name}${dashvariant}
-This package provides the ${kmod_name} kernel modules built for the Linux
-kernel ${verrel}${variant} for the %{_target_cpu} family of processors.
-%post          -n kmod-${kmod_name}${dashvariant}
-if [ -e "/boot/System.map-${verrel}${variant}" ]; then
-    /sbin/depmod -aeF "/boot/System.map-${verrel}${variant}" "${verrel}${variant}" > /dev/null || :
-fi
-EOF
-    
-    if [ ! -z "$kmp" ]; then
-        cat <<EOF
-
-modules=( \$(find /lib/modules/${verrel}${variant}/extra/${kmod_name}) )
-if [ -x "/sbin/weak-modules" ]; then
-    printf '%s\n' "\${modules[@]}" \
-    | /sbin/weak-modules --add-modules
-fi
-%preun         -n kmod-${kmod_name}${dashvariant}
-rpm -ql kmod-${kmod_name}${dashvariant} | grep '\.ko$' \
-    > /var/run/rpm-kmod-${kmod_name}${dashvariant}-modules
-EOF
-        
-    fi
-    
-    cat <<EOF
-%postun        -n kmod-${kmod_name}${dashvariant}
-/sbin/depmod -aF /boot/System.map-${verrel}${variant} ${verrel}${variant} &> /dev/null || :
-EOF
-    
-    if [ ! -z "$kmp" ]; then
-        cat <<EOF
-modules=( \$(cat /var/run/rpm-kmod-${kmod_name}${dashvariant}-modules) )
-#rm /var/run/rpm-kmod-${kmod_name}${dashvariant}-modules
-if [ -x "/sbin/weak-modules" ]; then
-    printf '%s\n' "\${modules[@]}" \
-    | /sbin/weak-modules --remove-modules
-fi
-EOF
-    fi
-
-echo "%files         -n kmod-${kmod_name}${dashvariant}"
-
-if [ "" == "$kmp_override_filelist" ];
-then
-    echo "%defattr(644,root,root,755)"
-    echo "/lib/modules/${verrel}${variant}/"
-    echo "/lib/firmware/"
-else
-    cat "$kmp_override_filelist"
-fi
-}
-
-print_rpmtemplate ()
-{
-  kmod_name="${1}"
-  shift
-  kver="${1}"
-  get_verrel "${1}"
-  shift
-  if [ -z "${kmod_name}" ] ; then
-    echo "Please provide the kmodule-name as first parameter." >&2
-    exit 2
-  elif [ -z "${kver}" ] ; then
-    echo "Please provide the kver as second parameter." >&2
-    exit 2
-  elif [ -z "${verrel}" ] ; then
-    echo "Couldn't find out the verrel." >&2
-    exit 2
-  fi
-  
-  for variant in "$@" ; do
-      if [ "default" == "$variant" ];
-      then
-            get_rpmtemplate ""
-      else
-            get_rpmtemplate "${variant}"
-      fi
-  done
-}
-
-usage ()
-{
-  cat <<EOF
-You called: ${invocation}
-
-Usage: ${myprog} <command> <option>+
- Commands:
-  verrel <uname>                               
-    - Get "base" version-release.
-  variant <uname>                               
-    - Get variant from uname.
-  rpmtemplate <mainpgkname> <uname> <variants> 
-    - Return a template for use in a source RPM
-  rpmtemplate_kmp <mainpgkname> <uname> <variants>
-    - Return a template for use in a source RPM with KMP dependencies
-  version  
-    - Output version number and exit.
-EOF
-}
-
-invocation="$(basename ${0}) $@"
-while [ "${1}" ] ; do
-  case "${1}" in
-    verrel)
-      shift
-      print_verrel $@
-      exit $?
-      ;;
-    variant)
-      shift
-      print_variant $@
-      exit $?
-      ;;
-    rpmtemplate)
-      shift
-      print_rpmtemplate "$@"
-      exit $?
-      ;;
-    rpmtemplate_kmp)
-      shift
-      kmp=1
-      print_rpmtemplate "$@"
-      exit $?
-      ;;
-    version)
-      echo "${myprog} ${myver}"
-      exit 0
-      ;;
-    *)
-      echo "Error: Unknown option '${1}'." >&2
-      usage >&2
-      exit 2
-      ;;
-  esac
-done
-
-# Local variables:
-# mode: sh
-# sh-indentation: 2
-# indent-tabs-mode: nil
-# End:
-# ex: ts=2 sw=2 et
--- macros
+++ macros
@@ -113,6 +113,7 @@
 %make_install \
   %{__make} \\\
 	DESTDIR=%{?buildroot:%{buildroot}} \\\
+	INSTALL_ROOT=%{?buildroot:%{buildroot}} \\\
   install \
   rm -f %{?buildroot:%{buildroot}}%{_infodir}/dir \
   find %{?buildroot:%{buildroot}} -regex ".*\\.la$" | xargs rm -f -- \
@@ -260,65 +261,6 @@
 # Disable lookups
 %_hkp_keyserver  %{nil}
 
-# Use these macros to differentiate between RH and other KMP implementation(s).
-meego_kernel_module_package	1
-kernel_module_package_release	1
-
-#kernel_module_package [ -n name ] [ -v version ] [ -r release ] [ -s script ]
-#                      [ -f filelist] [ -x ] [ -p preamble ] flavor flavor ...
-
-%kernel_module_package_buildreqs	%global kmodtool_generate_buildreqs 1 \
-					kernel-devel
-
-%kernel_module_package(n:v:r:s:f:xp:) %{expand:%( \
-	%define kmodtool %{-s*}%{!-s:/usr/lib/rpm/meego/kmodtool} \
-	%define kmp_version %{-v*}%{!-v:%{version}} \
-	%define kmp_release %{-r*}%{!-r:%{release}} \
-	%define latest_kernel %(rpm -q --qf '%{VERSION}-%{RELEASE}\\\\n' `rpm -q kernel-devel | /usr/lib/rpm/meego/rpmsort -r | head -n 1` | head -n 1) \
-	%{!?kernel_version:%{expand:%%global kernel_version %{latest_kernel}}} \
-	%global kverrel %(%{kmodtool} verrel %{?kernel_version} 2>/dev/null) \
-	flavors="default" \
-	if [ "i686" == "%{_target_cpu}" ] || [ "x86_64" == "%{_target_cpu}" ] \
-	then \
-		xenver=$(rpm -q kernel-xen-devel-%{kverrel}|head -n 1)\
-		kdver=$(rpm -q kernel-kdump-devel-%{kverrel}|head -n 1)\
-		if [ "kernel-xen-devel-%{kverrel}" == "$xenver" ] \
-		then \
-			flavors="$flavors xen" \
-		fi \
-		if [ "kernel-kdump-devel-%{kverrel}" == "$kdver" ] \
-		then \
-			flavors="$flavors kdump" \
-		fi \
-	fi \
-	if [ -z "%*" ]; then \
-		flavors_to_build=$flavors \
-	elif [ -z "%{-x}" ]; then \
-		flavors_to_build="%*" \
-	else \
-		flavors_to_build=" $flavors "\
-		echo "[$flavors_to_build]" >/tmp/tmp.txt
-		for i in %* \
-		do \
-			flavors_to_build=${flavors_to_build//$i /}
-		done \
-	fi \
-	echo "%%global flavors_to_build ${flavors_to_build:-%%nil}" \
-	echo "%%global kernel_source() /usr/src/kernels/%kverrel-\\\$([ %%%%{1} = default ] || echo "%%%%{1}-")%_target_cpu" \
-	if [ ! -z "%{-f*}" ] \
-	then \
-		filelist="%{-f*}" \
-	fi \
-	if [ ! -z "%{-p*}" ] \
-	then \
-		preamble="%{-p*}" \
-	fi \
-	if [ -z "%{kmodtool_generate_buildreqs}" ] \
-	then \
-		nobuildreqs="yes" \
-	fi \
-	kmp_override_filelist="$filelist" kmp_override_preamble="$preamble" kmp_nobuildreqs="$buildreqs" %{kmodtool} rpmtemplate_kmp %{-n*}%{!-n:%name} %{kverrel} $flavors_to_build 2>/dev/null \
-)}
 #
 # RPM macros for Java applications.
 #
@@ -436,68 +378,6 @@
 %javac          %{java_home}/bin/javac
 %javadoc        %{java_home}/bin/javadoc
 
-#==============================================================================
-# ---- Java extension handling macros
-
-#
-# add_jvm_extension should be used in %install by extension packages to declare
-# what extension jars they provide.
-#
-# For example a package that provides foo.jar which is the bar extension
-# under java 1.2 and 1.3 should do a:
-#
-#   %install
-#   ... # create foo.jar in %{javadir}-ext
-#   %add_jvm_extension  foo bar 1.2 1.3
-#
-#   %files
-#   %{javadir}-ext/foo.jar
-#   %{javadir}-*/bar.jar
-#
-# already in /usr/lib/macros on SUSE:
-# %add_jvm_extension JAVA_LIBDIR=%{buildroot}/%{_javadir}	%{_bindir}/jvmjar -l
-
-#==============================================================================
-#
-# add_to_depmap adds an entry to the depmap. The arguments are:
-#
-# %1 the original groupid
-# %2 the original artifact id
-# %3 the version
-# %4 the new groupid
-# %5 the new artifactid
-#
-
-%add_to_maven_depmap() \
-install -dm 755 $RPM_BUILD_ROOT/%{_mavendepmapfragdir}\
-cat >>$RPM_BUILD_ROOT/%{_mavendepmapfragdir}/%{name}<< EOF\
-<dependency>\
-    <maven>\
-        <groupId>%1</groupId>\
-        <artifactId>%2</artifactId>\
-        <version>%3</version>\
-    </maven>\
-    <jpp>\
-        <groupId>%4</groupId>\
-        <artifactId>%5</artifactId>\
-        <version>%3</version>\
-    </jpp>\
-</dependency>\
-\
-EOF\
-%{nil}
-
-#==============================================================================
-#
-# update_maven_depmap updates the main maven depmap
-#
-%update_maven_depmap() \
-echo -e "<dependencies>\\n" > %{_mavendepmapdir}/maven2-depmap.xml\
-if [ -d %{_mavendepmapfragdir} ] && [ -n "`find %{_mavendepmapfragdir} -type f`" ]; then\
-cat %{_mavendepmapfragdir}/* >> %{_mavendepmapdir}/maven2-depmap.xml\
-fi\
-echo -e "</dependencies>\\n" >> %{_mavendepmapdir}/maven2-depmap.xml\
-%{nil}
 
 #==============================================================================
 # ---- default icons directories as per the icon theme freedesktop spec
@@ -516,33 +396,13 @@
 %_icons192dir   %{_iconsbasedir}/192x192/apps
 %_iconsscaldir  %{_iconsbasedir}/scalable/apps
 
-#
-# Mandriva macros for non-Mandriva systems.
-#
-%_miconsdir	%{_datadir}/icons/mini
-%_iconsdir	%{_datadir}/icons
-%_liconsdir	%{_datadir}/icons/large
-
-
-#
-# Mandriva icons
-#
-# %1	the name of the icon (typically the name of the package). Mandriva
-#	requires 3 icons sizes (48, 32, 16), all should be present.
-#
-%mdkicons() \
-install -D -m 644 %1-48.png $RPM_BUILD_ROOT%{_liconsdir}/%1.png\
-install -D -m 644 %1-32.png $RPM_BUILD_ROOT%{_iconsdir}/%1.png\
-install -D -m 644 %1-16.png $RPM_BUILD_ROOT%{_miconsdir}/%1.png\
-%{nil}
-
 
 #
-# Red Hat icons
+# MeeGo icons
 #
 # %1	the name of the icon (typically the name of the package). RedHat
 #	requires 3 icons sizes (48, 32, 16), all should be present.
-%rhicons() \
+%meego_icons() \
 install -D -m 644 %1-48.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/%{name}.png\
 install -D -m 644 %1-32.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/%{name}.png\
 install -D -m 644 %1-16.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps/%{name}.png\
@@ -554,122 +414,3 @@
 
 %_desktopdir    %{_datadir}/applications
 
-#
-# Mandriva menu dir
-#
-%_menudir	%{_prefix}/lib/menu
-
-#
-# Mandriva menu
-#
-# %1	the name of the menu (ex: %{name})
-# %2	the command to run (ex: %{_bindir}/%{name})
-# %3	needs (ex: X11)
-# %4	menu section (ex: Applications/Editors)
-# %5	mime types (ex: text/html;text/plain)
-# %6	menu title (ex: %{name})
-# %7	comment or summary (ex: %{Summary})
-# %8	icon (ex: %{name}.png)
-# %9	unused
-#
-%mdkmenu() \
-install -d -m 755 $RPM_BUILD_ROOT%{_menudir}\
-cat >$RPM_BUILD_ROOT%{_menudir}/%1 <<EOF\
-\?package(%1):\\
- command="%2"\\
- needs="%3"\\
- section="%4"\\
- mimetypes="%5"\\
- title="%6"\\
- longtitle="%7"\\
- icon="%8"\\
-EOF\
-%{nil}
-
-%post_mdkmenu\
-%post mdkmenu\
-%{update_menus}
-
-%postun_mdkmenu\
-%postun mdkmenu\
-%{clean_menus}
-
-#
-# Legacy menu
-#
-# %1	the name of the menu (ex: %{name})
-# %2	the command to run (ex: %{_bindir}/%{name})
-# %3	needs (ex: 1)
-# %4	menu section (ex: Development)
-# %5	unused
-# %6	menu title (ex: %{name})
-# %7	comment or summary (ex: %{Summary})
-# %8	icon (ex: %{name}.png)
-# %9	type (ex: Application)
-#
-%rhmenu() \
-install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/%4\
-cat >$RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/%4/%1.desktop <<EOF\
-[Desktop Entry]\
-Name=%6\
-Comment=%7\
-Exec=%2\
-Terminal=%3\
-Type=%9\
-Icon=%8\
-EOF\
-%{nil}
-
-#
-# Standard JPackage script
-#
-# This is kind of tasteless and should be moved to an external template
-#
-# %1	main class
-# %2	flags
-# %3	options
-# %4	jars (separated by ':')
-# %5    the name of script you wish to create
-#
-# already in /usr/lib/macros on SUSE:
-# %jpackage_script() \
-#install -d -m 755 $RPM_BUILD_ROOT%{_bindir}\
-# cat > $RPM_BUILD_ROOT%{_bindir}/%5 << EOF \
-#!/bin/sh\
-#\
-# %{name} script\
-# JPackage Project <http://www.jpackage.org/>\
-\
-# Source functions library\
-# already in /usr/lib/macros on SUSE:
-# . %{_javadir}-utils/java-functions\
-\
-# Source system prefs\
-# already in /usr/lib/macros on SUSE:
-# if [ -f %{_sysconfdir}/java/%{name}.conf ] ; then\
-#  . %{_sysconfdir}/java/%{name}.conf\
-# fi\
-\
-# Source user prefs\
-# already in /usr/lib/macros on SUSE:
-# if [ -f \\$HOME/.%{name}rc ] ; then\
-#  . \\$HOME/.%{name}rc\
-# fi\
-\
-# Configuration\
-# MAIN_CLASS=%1\
-# BASE_FLAGS=%2\
-# BASE_OPTIONS=%3\
-# BASE_JARS="%(echo %4 | sed -e 's,:, ,g')"\
-\
-# Set parameters\
-# set_jvm\
-# set_classpath \\$BASE_JARS\
-# set_flags \\$BASE_FLAGS\
-# set_options \\$BASE_OPTIONS\
-\
-# Let's start\
-run "\\$@"\
-EOF\
-chmod 755 $RPM_BUILD_ROOT%{_bindir}/%5\
-%{nil}

++++++ meego-rpm-config.yaml
--- meego-rpm-config.yaml
+++ meego-rpm-config.yaml
@@ -1,6 +1,6 @@
 Name: meego-rpm-config
 Summary: MeeGo specific rpm configuration files
-Version: 0.5
+Version: 0.7
 Release: 1
 Group: Development/System
 License: GPL+



More information about the MeeGo-commits mailing list